plist-cil : Claunia.PropertyList Namespace

# BinaryPropertyListWriter Class

A BinaryPropertyListWriter is a helper class for writing out binary property list files.

It contains an output stream and various structures for keeping track of which NSObjects have already been serialized, and where they were put in the file.

## Syntax

public class BinaryPropertyListWriter

## Remarks

Documentation for this section has not yet been entered.

## Requirements

Namespace: Claunia.PropertyList
Assembly: plist-cil (in plist-cil.dll)
Assembly Versions: 1.13.0.0, 1.14.0.0

## Members

See Also: Inherited members from object.

## Public Fields

const | VERSION_00 | int (0). Binary property list version 0.0
const | VERSION_10 | int (10). Binary property list version 1.0
const | VERSION_15 | int (15). Binary property list version 1.5
const | VERSION_20 | int (20). Binary property list version 2.0

## Public Methods

static | Write (System.IO.FileInfo, NSObject) Writes a binary plist file with the given object as the root.
static | Write (System.IO.Stream, NSObject) Writes a binary plist serialization of the given object as the root.
static | WriteToArray (NSObject) : byte[] Writes a binary plist serialization of the given object as the root into a byte array.

## Member Details

### VERSION_00 Field

> Binary property list version 0.0

> Value: 0

> ## Syntax

> public const int VERSION_00

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: Claunia.PropertyList
> Assembly: plist-cil (in plist-cil.dll)
> Assembly Versions: 1.13.0.0, 1.14.0.0

### VERSION_10 Field

> Binary property list version 1.0

> Value: 10

> ## Syntax

> public const int VERSION_10

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: Claunia.PropertyList
> Assembly: plist-cil (in plist-cil.dll)
> Assembly Versions: 1.13.0.0, 1.14.0.0

### VERSION_15 Field

> Binary property list version 1.5

> Value: 15

> ## Syntax

> public const int VERSION_15

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: Claunia.PropertyList
> Assembly: plist-cil (in plist-cil.dll)
> Assembly Versions: 1.13.0.0, 1.14.0.0

### VERSION_20 Field

> Binary property list version 2.0

> Value: 20

> ## Syntax

> public const int VERSION_20

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: Claunia.PropertyList
> Assembly: plist-cil (in plist-cil.dll)
> Assembly Versions: 1.13.0.0, 1.14.0.0

### Write Method

> Writes a binary plist file with the given object as the root.

> ## Syntax

> public static void Write (System.IO.FileInfo file, NSObject root)

> #### Parameters

> > file
> >   the file to write to
> > root
> >   the source of the data to write to the file

> #### Exceptions

> > Type | Reason
> > --- | ---
> > System.IO.IOException |

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: Claunia.PropertyList
> Assembly: plist-cil (in plist-cil.dll)
> Assembly Versions: 1.13.0.0, 1.14.0.0

### Write Method

> Writes a binary plist serialization of the given object as the root.

> ## Syntax

> public static void Write (System.IO.Stream outStream, NSObject root)

> #### Parameters

> > outStream
> >   the stream to write to
> > root
> >   the source of the data to write to the stream

> #### Exceptions

> > Type | Reason
> > --- | ---
> > System.IO.IOException |

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: Claunia.PropertyList
> Assembly: plist-cil (in plist-cil.dll)
> Assembly Versions: 1.13.0.0, 1.14.0.0

### WriteToArray Method

> Writes a binary plist serialization of the given object as the root into a byte array.

> ## Syntax

> public static byte[] WriteToArray (NSObject root)

> #### Parameters

> > root
> >   The root object of the property list

> #### Returns

> > The byte array containing the serialized property list

> #### Exceptions

> > Type | Reason
> > --- | ---
> > System.IO.IOException |

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: Claunia.PropertyList
> Assembly: plist-cil (in plist-cil.dll)
> Assembly Versions: 1.13.0.0, 1.14.0.0